## 1. IFTTT-Key

F&uuml;r die Nutzung ben&ouml;tigen Sie einen Account auf https://ifttt.com/ (kostenlos m&ouml;glich).  
In Ihrem Profil haben Sie die M&ouml;glichkeit Applets zu erstellen - das Plugin ist der Trigger (wird dargstellt als "this") f&uuml;r Ihre Aktionen.  
Damit k&ouml;nnen Sie sich eine E-Mail schicken lassen aber auch Ihre Lichter aufblinken lassen.  
Wir verwenden dabei die sogenannten Webhooks (ist ein Service). Sobald Sie diesen einmalig erstellt haben, taucht er unter Services auf.  
Ihren Schl&uuml;ssel finden Sie unter Benutzer/Services/Webhooks/Settings/URL. 
 
Alternativ k&ouml;nnen Sie, sofern Sie eingeloggt sind, folgende URL aufrufen: https://ifttt.com/services/maker_webhooks/settings  
Dort steht eine URL. nach /use/ kommt Ihr Key. Sie k&ouml;nnen auch einfach die URL aufrufen, dort steht er nochmals explizit.
  
## 2. Events

Sofern im Plugin aktiviert werden an gewissen Punkten Aufrufe an IFTTT geschickt.  
Diese beinhalten ein Event, dass Sie direkt in IFTTT abfangen k&ouml;nnen, sowie bis zu 3 &uuml;bergebene Variablen.  
Anbei finden Sie eine Tabelle mit allen Events und den &uuml;bergebenen Parametern.  
 Objekte sind als object deklariert (meist in value3) und werden als string im JSON-Format &uuml;bermittelt.  
Artikelname und Artikelnummer sind stets durch 3x Raute getrennt.


Aktion | Eventname | value1 | value2 | value3
--- | --- | --- | --- | ---
Kontaktanfrage gestellt | contact | Betreff | Nachricht | object Anfrage
Newsletter abonnieren | newsletter_subscribe | Kunde | E-Mail | Datum
Newsletter ausgetragen | newsletter_unsubscribe | Kunde | E-Mail | Datum
Kunde registrieren | register | Kunde | Datum | object Kunde
Frage zum Produkt | product_question | Artikelname - Artikelnummer | Kunde | Frage
Produktverf&uuml;gbarkeitsanfrage | product_available_request | Artikelname - Artikelnummer | Kunde | Datum
Produkttag hinzugef&uuml;gt | product_tag | Artikelname - Artikelnummer | Kunde | Datum
Artikelbewertung abgeben | article_voting_added | Kunde | Datum - Sterne | Berwertungstext
Artikelbewertung hilfreich | article_voting_helpful | Kunde | Datum | Hilfreich Ja/Nein
Seite nicht gefunden (404) | page_not_found | Aufgerufene Seite | Datum | Vorherige Seite
Bestellung abgeschlossen | order_created | Bestellnummer - Summe in EUR | Kunde | object Bestellung